/*
  xcode project workaround

  Here come macros which should actually be automatically generated by the
  autools and the resulting configure script. For the xcode project file we
  define them manually here for now.
*/

#define VERSION "0.3.1"

/* Define console verbosity. */
#define CONFIG_DEBUG_LEVEL 1

/* Define to 1 if you want to enable development mode. */
/* #undef CONFIG_DEVMODE */

/* Define bottom limit of envelopes. */
#define CONFIG_EG_BOTTOM 0.001

/* Define min. release time. */
#define CONFIG_EG_MIN_RELEASE_TIME 0.0025

/* Define max. filter cutoff frequency. */
#define CONFIG_FILTER_CUTOFF_MAX 10000.0f

/* Define min. filter cutoff frequency. */
#define CONFIG_FILTER_CUTOFF_MIN 100.0f

/* Define amount of steps to refresh filter coefficients. */
#define CONFIG_FILTER_UPDATE_STEPS 64

/* Define to 1 to force filter usage. */
/* #undef CONFIG_FORCE_FILTER */

/* Define max. allowed events per fragment. */
#define CONFIG_MAX_EVENTS_PER_FRAGMENT 1024

/* Define max. allowed pitch. */
#define CONFIG_MAX_PITCH 4

/* Define max. streams. */
#define CONFIG_MAX_STREAMS 90

/* Define max. voices. */
#define CONFIG_MAX_VOICES 64

/* Define to a MIDI controller number to override cutoff control. */
/* #undef CONFIG_OVERRIDE_CUTOFF_CTRL */

/* Define to a filter type to always force that filter type. */
/* #undef CONFIG_OVERRIDE_FILTER_TYPE */

/* Define to a MIDI controller number to override resonance control. */
/* #undef CONFIG_OVERRIDE_RESONANCE_CTRL */

/* Define amount of sample points to be cached in RAM. */
#define CONFIG_PRELOAD_SAMPLES 32768

/* Define amount of streams to be refilled per cycle. */
#define CONFIG_REFILL_STREAMS_PER_RUN 4

/* Define to 1 to allow exceptions in the realtime context. */
/* #undef CONFIG_RT_EXCEPTIONS */

/* Define each stream's ring buffer size. */
#define CONFIG_STREAM_BUFFER_SIZE 262144

/* Define max. stream refill size. */
#define CONFIG_STREAM_MAX_REFILL_SIZE 65536

/* Define min. stream refill size. */
#define CONFIG_STREAM_MIN_REFILL_SIZE 1024

/* Define SysEx buffer size. */
#define CONFIG_SYSEX_BUFFER_SIZE 2048

/* Define voice stealing algorithm to be used. */
#define CONFIG_VOICE_STEAL_ALGO voice_steal_algo_oldestvoiceonkey
